#!/bin/sh

echo "post-install"

# App Central extend timeout, but the timeout seems be counted from post-install, not pre-install, so move "docker pull" to post-install.

docker pull lscr.io/linuxserver/airsonic:latest

echo "Completed docker pull"

CONTAINER_TEST=$(docker container ls -a | grep AirSonicD | awk '{print $1}')

if [ ! -z $CONTAINER_TEST ]; then
	docker rm -f $CONTAINER_TEST
fi


C_UID=$(id -u admin)
ADMIN_GID=$(id -g admin)

docker create -i -t --name=AirSonicD \
	-p 34040:4040 \
	-e PUID=$C_UID -e PGID=$ADMIN_GID \
	-v /etc/localtime:/etc/localtime:ro \
	-v /share/Docker/Airsonic/config:/config:rw \
	-v /share/Music:/music:rw \
	-v /share/Docker/Airsonic/playlists:/playlists:rw \
	-v /share/Docker/Airsonic/podcasts:/podcasts:rw \
	-v /share:/NAS_shared:rw \
	--restart unless-stopped \
	lscr.io/linuxserver/airsonic:latest


docker start AirSonicD


case "$APKG_PKG_STATUS" in
	install)
		;;
	upgrade)
		oldim=$(docker images | grep lscr.io/linuxserver/airsonic | grep none | awk '{print $3}')
		echo $oldim
		
		if [ ! -z $oldim ]; then 
			docker rmi -f $oldim
		fi
		;;
	*)
		;;
esac

exit 0
